SUMMARY = "Monit is a tool used for system monitoring and error recovery"
DESCRIPTION = "Monit is a free open source utility for managing and monitoring, \
  processes, programs, files, directories and filesystems on a UNIX system. \
  Monit conducts automatic maintenance and repair and can execute meaningful \
  causal actions in error situations. \
  "
HOMEPAGE = "http://mmonit.com/monit/"

LICENSE = "AGPLv3"
LIC_FILES_CHKSUM = "file://COPYING;md5=ea116a7defaf0e93b3bb73b2a34a3f51"

DEPENDS = "openssl zlib virtual/crypt"

SRC_URI = "\
    http://mmonit.com/monit/dist/${BP}.tar.gz \
    file://enable-etc-monit.d-include.patch \
    file://set-10sec-interval.patch \
    file://monit.init \
    file://monit.service \
		file://monitrc \
"

SRC_URI[md5sum] = "9f7dc65e902c103e4c5891354994c3df"
SRC_URI[sha256sum] = "87fc4568a3af9a2be89040efb169e3a2e47b262f99e78d5ddde99dd89f02f3c2"

INITSCRIPT_NAME = "monit"
INITSCRIPT_PARAMS = "defaults 99"

inherit autotools-brokensep systemd update-rc.d

PACKAGECONFIG ??= "${@bb.utils.filter('DISTRO_FEATURES', 'pam', d)}"
PACKAGECONFIG[pam] = "--with-pam,--without-pam,libpam"

EXTRA_OECONF = "\
	libmonit_cv_setjmp_available=no \
	libmonit_cv_vsnprintf_c99_conformant=no \
	--with-ssl-lib-dir=${STAGING_LIBDIR} \
	--with-ssl-incl-dir=${STAGING_INCDIR} \
"

do_configure_prepend() {
    rm -rf ${S}/m4
}

do_install_append() {
	install -d ${D}${sysconfdir}/init.d/
	install -m 755 ${WORKDIR}/monit.init ${D}${sysconfdir}/init.d/monit

	install -d ${D}${systemd_unitdir}/system
	install -m 644 ${WORKDIR}/monit.service ${D}${systemd_unitdir}/system/

	install -d ${D}${sysconfdir}/monit/
	install -m 600 ${WORKDIR}/monitrc ${D}${sysconfdir}/monit/monitrc
	install -m 700 -d ${D}${sysconfdir}/monit/monit.d/

	install -d ${D}/var/lib/monit
}

CONFFILES_${PN} += "${sysconfdir}/monit/monitrc"

SYSTEMD_SERVICE_${PN} = "monit.service"
SYSTEMD_AUTO_ENABLE = "disable"
